wish: ease debit/credit/transfer transaction seizure

Bug #1756681 reported by carl kinkade on 2018-03-18
18
This bug affects 2 people
Affects Status Importance Assigned to Milestone
HomeBank
Wishlist
Maxime DOYEN

Bug Description

Hello,
First off I want to thank you for this application. It is very useful and I have used it for years. This comment is not really a bug but a suggestion. When you use the check register and add a transaction, you put the amount and then the payment type. Ideally, you would select the payment type first and then the amount, then if it is a deposit it could automatically make the amount positive but if it is a debit, it would automatically make it a negative. You don't know how many times that my account has been thrown off because I forgot to add a negative and then had to hunt for the reason that my account would not balance to the banks.

I using 5.0.9 on Windows 10.

Thank you,
Carl

Maxime DOYEN (mdoyen) wrote :

Hey,

I more and more think of split the transaction register to 3 tabs:
- debit, credit, transfer

maybe it's time to do so.

summary: - Order of transaction in register
+ wish: ease debit/credit/transfer transaction seizure

It is nice having them all in one dialog but if it is before the amount line, the positive and negative could auto fill based on the choice. That would be nice.

Thank you for the development though.

⁣Sent from BlueMail ​

On Mar 25, 2018, 5:15 PM, at 5:15 PM, Maxime Doyen <email address hidden> wrote:
>Hey,
>
>I more and more think of split the transaction register to 3 tabs:
>- debit, credit, transfer
>
>maybe it's time to do so.
>
>
>** Summary changed:
>
>- Order of transaction in register
>+ wish: ease debit/credit/transfer transaction seizure
>
>--
>You received this bug notification because you are subscribed to the
>bug
>report.
>https://bugs.launchpad.net/bugs/1756681
>
>Title:
> wish: ease debit/credit/transfer transaction seizure
>
>Status in HomeBank:
> New
>
>Bug description:
> Hello,
>First off I want to thank you for this application. It is very useful
>and I have used it for years. This comment is not really a bug but a
>suggestion. When you use the check register and add a transaction, you
>put the amount and then the payment type. Ideally, you would select
>the payment type first and then the amount, then if it is a deposit it
>could automatically make the amount positive but if it is a debit, it
>would automatically make it a negative. You don't know how many times
>that my account has been thrown off because I forgot to add a negative
>and then had to hunt for the reason that my account would not balance
>to the banks.
>
> I using 5.0.9 on Windows 10.
>
> Thank you,
> Carl
>
>To manage notifications about this bug go to:
>https://bugs.launchpad.net/homebank/+bug/1756681/+subscriptions

Maxime DOYEN (mdoyen) on 2018-04-06
Changed in homebank:
importance: Undecided → Wishlist
Roland (roland-gonsales) wrote :

Hi Maxime and Carl,
One thing is certain : Homebank is the best successor to MS Money.
I like to use it every day, but some small details remain.
When you size a transaction 9 times on 10 it's a debit, but the default transaction in HB is still a credit : why ?
In the same vein, the default payment means on the top of the list) is a credit card. To my knowledge, at least in France, the most common one is the debit card.
Why not create a selectable default choice for the payment means (or, at least, an option to sort the list)?

Maxime DOYEN (mdoyen) wrote :

After a little review of some other apps:
mmex, mint, kmymoney, quicken, money pus, ynab, moneywiz and ibank

I do think the better would be to have 2 different input:
Expense: [xxxxx] Income: [xxxxx]

What do you think ?

And BTW do you think the - + button on the right of the actual Amount input are usefull?
(as I do think to remove it in the meantime).

Changed in homebank:
status: New → Incomplete

Hello,
Having multiple entry points for a transaction may confuse folks. I do
like only having one, personally, but I do forget to click the positive or
negative button at times and then have to go back and fix it. I have never
used the plus or minus on the right-hand side of the amount. Funny part is
that I hadn't even thought about it until you mentioned it. I just
highlight the amount input area and enter the value (I guess you could have
a popup dialogue that opens when you click the amount area, with a number
"pad" to select the click the numbers, to enter the amount value...that
might be handy). it is the following step that I forget occasionally,
which is to add the negative....by default it is positive which is okay. I
still think the best workflow would be to reverse the Payment and Amount so
that the type of payment selected would automatically add the positive or
negative to the Amount. I used Money for years until it went away and that
is when I went to HomeBank. Money didn't require a positive or negative
input since it was dependent on the transaction type.

Thanks again for all of your work on this. I use it multiple times per
week but only as bank account register and forecasting. I don't really use
the other functions.

On Wed, May 16, 2018 at 11:30 AM Maxime DOYEN <email address hidden>
wrote:

> After a little review of some other apps:
> mmex, mint, kmymoney, quicken, money pus, ynab, moneywiz and ibank
>
> I do think the better would be to have 2 different input:
> Expense: [xxxxx] Income: [xxxxx]
>
> What do you think ?
>
> And BTW do you think the - + button on the right of the actual Amount
> input are usefull?
> (as I do think to remove it in the meantime).
>
>
> ** Changed in: homebank
> Status: New => Incomplete
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1756681
>
> Title:
> wish: ease debit/credit/transfer transaction seizure
>
> Status in HomeBank:
> Incomplete
>
> Bug description:
> Hello,
> First off I want to thank you for this application. It is very useful
> and I have used it for years. This comment is not really a bug but a
> suggestion. When you use the check register and add a transaction, you put
> the amount and then the payment type. Ideally, you would select the
> payment type first and then the amount, then if it is a deposit it could
> automatically make the amount positive but if it is a debit, it would
> automatically make it a negative. You don't know how many times that my
> account has been thrown off because I forgot to add a negative and then had
> to hunt for the reason that my account would not balance to the banks.
>
> I using 5.0.9 on Windows 10.
>
> Thank you,
> Carl
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/homebank/+bug/1756681/+subscriptions
>

Maxime DOYEN (mdoyen) on 2018-06-01
Changed in homebank:
status: Incomplete → New
Maxime DOYEN (mdoyen) wrote :

Money plus, like quicken has a dual input entry, directly into the register

Maxime DOYEN (mdoyen) on 2019-03-02
tags: added: data-structure transaction
Maxime DOYEN (mdoyen) on 2019-05-08
Changed in homebank:
assignee: nobody → Maxime DOYEN (mdoyen)
milestone: none → 5.3
status: New → In Progress
Maxime DOYEN (mdoyen) wrote :

I have choosen to do like some other tools do with a txn type at the top.
see screenshot of future txn dialog.

carl kinkade (carlkinkade) wrote :

That could work well. Thanks.

On Thu, Jun 6, 2019, 6:51 AM Maxime DOYEN <email address hidden>
wrote:

> I have choosen to do like some other tools do with a txn type at the top.
> see screenshot of future txn dialog.
>
> ** Attachment added: "hb-newtxntype.png"
>
> https://bugs.launchpad.net/homebank/+bug/1756681/+attachment/5269028/+files/hb-newtxntype.png
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1756681
>
> Title:
> wish: ease debit/credit/transfer transaction seizure
>
> Status in HomeBank:
> In Progress
>
> Bug description:
> Hello,
> First off I want to thank you for this application. It is very useful
> and I have used it for years. This comment is not really a bug but a
> suggestion. When you use the check register and add a transaction, you put
> the amount and then the payment type. Ideally, you would select the
> payment type first and then the amount, then if it is a deposit it could
> automatically make the amount positive but if it is a debit, it would
> automatically make it a negative. You don't know how many times that my
> account has been thrown off because I forgot to add a negative and then had
> to hunt for the reason that my account would not balance to the banks.
>
> I using 5.0.9 on Windows 10.
>
> Thank you,
> Carl
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/homebank/+bug/1756681/+subscriptions
>

Maxime DOYEN (mdoyen) on 2019-06-23
Changed in homebank:
status: In Progress → Fix Committed
Matt (blunt21) wrote :

I think the current design just do the work and adding tabs will only bloat the window, and require extra clicks to load any transference. I love the design as is today, the only comment i would make is that i almost never used the + & - buttons in the ammount field to add cents. HomeBank is really great! Thanks for such software @mdoyen !

Maxime DOYEN (mdoyen) on 2020-01-06
Changed in homebank:
status: Fix Committed → Fix Released
carl kinkade (carlkinkade) wrote :

Hi Maxime,
I need to report a serious bug but the system won't allow me to log in so I
can't create a new bug report. I installed 5.3 and I have noticed that
when you click the (-) sign next to the amount, to create an expense, the
end number changes. It adds the negative sign and changes the last number.
I have noticed this several times when my balance was off. For example, I
need to add an expense of $100.00 but when I click the (-) sign to make it
negative, it changes the value to -$100.01. When I test it and try it
again, it does the same thing. Any number that I add and then hit the (-)
sign, it adds the negative sign and then changes the last number. Is this
supposed to add a negative sign or change the value?

Ideally, when you click the "expense" button above, it would automatically
add a (-) sign since all expenses are negative and incomes are positive.

Thanks,
Carl

On Mon, Jan 6, 2020 at 5:30 PM Maxime DOYEN <email address hidden>
wrote:

> ** Changed in: homebank
> Status: Fix Committed => Fix Released
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1756681
>
> Title:
> wish: ease debit/credit/transfer transaction seizure
>
> Status in HomeBank:
> Fix Released
>
> Bug description:
> Hello,
> First off I want to thank you for this application. It is very useful
> and I have used it for years. This comment is not really a bug but a
> suggestion. When you use the check register and add a transaction, you put
> the amount and then the payment type. Ideally, you would select the
> payment type first and then the amount, then if it is a deposit it could
> automatically make the amount positive but if it is a debit, it would
> automatically make it a negative. You don't know how many times that my
> account has been thrown off because I forgot to add a negative and then had
> to hunt for the reason that my account would not balance to the banks.
>
> I using 5.0.9 on Windows 10.
>
> Thank you,
> Carl
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/homebank/+bug/1756681/+subscriptions
>

Hi Maxime,
For some reason, I cannot log into Launchpad. It shows me logged in and
when I go to the Homebank site and click report bug, it gives me an Oops
messages.

I have downloaded and using version 5.3 and wanted to provide some comments.

The manage scheduled/template transactions dialog isn't as nice as before.
The prior dialog allowed you to do everything in one screen but now you
click the + button, enter the information, add, then push the schedule
button, and set the schedule. That is a lot of unnecessary and painful
clicking. Just have it all in one dialog like before. Don't be like
microsoft who changes things just to change things, if it is isn't broken,
don't fix it.

The other thing is in the edit transaction dialog. You used to be able to
click the "-" sign on the right of the amount to quickly add the "-", now
it adds the "-" and deducts 1 cent so now I have to manually hit the "-" on
the keyboard.

I don't really understand the Expense/Income/Transfer at the top of the
Edit Transaction dialog, it doesn't appear that they do anything. Nothing
changes be expense and income and the only difference with the transfer is
that it changes the account/payment to from/to. If you are in the expense
or income, you can do the same from the Payment list.

Also on the add transaction dialog, the dropdown for status is painful.
Again, too much clicking. Much better when it was just horizontal buttons.

Ideally, the less clicking required for any interaction is better. Less
chance for errors and less hassle for users.

Thanks again for all of your work on this. I may switch back to an older
version until you update since, I don't think 5.3, is as good as prior
verisons.

Carl

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers